Subject: Re: merging mingw and cygwin
From: "Paul G." <[email-masked]>
To: [email-masked]
Date: Sun, 12 Oct 2003 16:16:28 -0700

Does the author of this reply have a problem with someone else knowing what they are talking about?

On 12 Oct 2003 at 0:36, Christopher Faylor wrote:

> On Sat, Oct 11, 2003 at 09:16:41PM -0700, Paul G. wrote:
> >Msys is derived from Cygwin.  However, it does not have the overhead
> >that Cygwin does, nor does Msys support the posix/unixy stuff that
> >Cygwin does...nor should it.
> 
> You keep saying "overhead" as if you know what you're talking about.

	Fancy that...had it occurred to the author of this reply that maybe, just maybe I do...?  I doubt it, otherwise the 
author of this reply wouldn't need to ask such dumb questions or make such implications in terms of my knowledge 
and background in computer science, something the author of this reply is already, at least I had thought the author 
of this post was, well aware of...

> Either be more precise or stop making vague statements.

*sigh* Guess you need me to clarify something, as if the author of that last statment didn't already know what I was 
talking about ...especially considering how long the author of that last statement have been aware of my presence 
here and my contributions, what contributions do exist, to Cygwin...*sigh*

Ok, looks like I have to "spell it out" -- I had hoped I wouldn't be placed in a position to do this, especially where this 
sort of thing is concerned...as I assume that most people here are intelligent enough and know what I am talking 
about without me having to spend time and energy spelling everything out that I state...guess everyone will have to 
deal with the excessive length of this particular post...

Now, please, pay particular attention to the "computer science" definitions (school is in):

COMMAND PROCESSING OVERHEAD TIME
WordNet Dictionary
 
 	Definition:	 	[n]  (computer science) the processing time required by a device (or "codec", or API) 
prior to the execution of a command
 
 	Synonyms:	 	command overhead, command processing overhead, overhead
 
 	See Also:	 	access time, processing time

ACCESS TIME
Pronunciation: 	 	'akses tIm

WordNet Dictionary
 
 	Definition:	 	[n]  (computer science) the interval between the time data is requested by the 
system and the time the data is provided by the drive; "access time is the sum of seek time and rotational latency and 
command processing overhead"
 
 	See Also:	 	command overhead, command processing overhead, command processing 
overhead time, interval, latency, overhead, rotational latency, seek time, time interval
 
Computing Dictionary
 
 	Definition:	 	

The average time interval between a storage peripheral (usually a disk drive or semiconductor memory) receiving a 
request to read or write a certain location and returning the value read or completing the write.
 
 	See Also:	 	hardware, storage

PROCESSING TIME
WordNet Dictionary
 
 	Definition:	 	[n]  the time it takes to complete a prescribed procedure; "they increased output by 
decreasing processing time"
 
 	See Also:	 	command overhead, command processing overhead, command processing 
overhead time, interval, overhead, time interval

OVERHEAD
Pronunciation: 	 	owvur'hed

Matching Terms: 	 	Overhead charges, overhead cover, overhead projector, overhead railway, 
overhear, overheat, overheated, overheating, Overheavy

WordNet Dictionary
 
 	Definition:	 	

   1. [n]  a hard return hitting the tennis ball above your head
   2. [n]  (nautical) the top surface of an enclosed space on a ship
   3. [n]  a transparency for use with an overhead projector
   4. [n]  (computer science) the disk space required for non-data information (used for location and timing)
   5. [n]  the expense of maintaining property (e.g., paying property taxes and utilities and insurance); it does not 
include depreciation or the cost of financing or income taxes
   6. [n]  (computer science) the processing time required by a device (or an API) prior to the execution of a command
   7. [adv]  above the head; over the head; "bring the legs together overhead"
   8. [adv]  above your head; in the sky; "planes were flying overhead"
   9. [adj]  located or originating from above; "an overhead crossing"

 	Synonyms:	 	budget items, command overhead, command processing overhead, command 
processing overhead time, disk overhead, elevated, operating cost, operating expense, smash, viewgraph
 
 	Antonyms:	 	subsurface, surface
 
 	See Also:	 	access time, cabin, ceiling, disbursal, disbursement, disc space, disk space, 
expense, foil, operating budget, processing time, return, transparency

(school is out)

> 
> Msys does do posix translations.

	No one, absolutely no one is arguing that point, except possibly the author of this reply.  That Msys "doesn't 
have the posix support that Cygwin does" because it is a Minimal System (Msys), should be a given (see 
http:\\www.mingw.org and select Msys) and must be assumed...also it is not something I should need to spell out 
considering the author of this last statements' development activity and positive, supportive contributions (a support I 
have always encouraged and been thankful for) in terms of Mingw and Msys.

>  It also does permutations on the
> command line that cygwin does not.

	Of course it does...Msys does because it has to given the basic preface of Minimal SYStem and what it, 
Msys, is designed to function in concert with (platform and build environment).

> 
> I just ran a little test on msys and cygwin and found cygwin to
> be consistently faster, in fact.  Here is what I tried:
> 
> time bin\sh -c "for f in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18
> 19 20; do for g in 1 2 3 4 5; do ls /bin/ls.exe >/dev/null ; done;
> done"

	Unless you can give a better benchmark, that is pretty vague.

	"Speed" doesn't mean anything unless you can provide a much more scientifically based (and much less 
"vague") benchmark process.  Specifically, OS, cpu (cpu type, 32bit or AMD64?), cpu clock speed, hard drive (disk) 
speed, amount of memory (RAM) installed on the system used for the benchmark and, last but certainly not least, the 
amount of time for API to handle a single shell command/directive from the console prompt, including any shell api 
latency and number of other processes running on the system when (time, eg. possible network load on a server) the 
test/benchmark is actually being run.

  Just because Cygwin appears to handle shell processing "better" or "faster than" Msys doesn't really have any 
bearing here because it is a given that Cygwin handles that sort of thing better than Msys, as well it should, given the 
architecture of the Cygwin development environment.  Msys is, after all, a Minimal System and is not expected to be 
either as either "faster than" or "better than" Cygwin, as I have previously stated in another post to this list.  Msys is 
not meant, nor provided in order to compete with Cygwin, nor has it ever been.  Msys is, however, an alternative that 
anyone may use if they prefer not to deal with the overhead associated with Cygwin...oh, yes, that term, "overhead", 
is, according to the author of the last statement above, "too vague"...see above for more "specifics" on "overhead".  I 
am not here to strut anything or to "proove" anything.  I am simply answering a request from someone I, at least, 
respect, for a more precise definition of something that someone has judged as "vague".
	
> 
> Of course, I cheated and used the cygwin that I've been working
> on which has some potential performance benefits but this version of
> cygwin was also compiled with --enable-debugging so it had some
> possible performance hits as well.

	No one is doubting the author of this last statements' ability to write code or to understand how Cygwin works 
or what it requires to do so (ie. write code or understand how Cygwin works).  At least I am not questioning that.  If 
anything, if anyone, ever asked me who is the best person to ask about Cygwin, the name Christopher Faylor would 
be the first name on my lips.  Why?  Because, most of the time, Christopher Faylor knows what he is talking about 
where Cygwin is concerned...it is a major part of his reputation and his area of expertise.  And why shouldn't it be 
since he has been woking on and with Cygwin since before, if I recall correctly, EGCS was created.

	Paul G.

> 
> cgf
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/